1. Absensi
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. Absensi

Cek Absensi

GET
/api/v1/attendance/today

Request

Header Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/attendance/today' \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json'
Response Response Example
Success
{
    "success": true,
    "message": "Today's attendance retrieved",
    "data": {
        "id": "6877910102c0ac78196db214",
        "user_id": "68778aca5a537a1e4fed4f69",
        "date": "2025-07-16T00:00:00Z",
        "check_in": "2025-07-16T11:46:09.676Z",
        "check_out": "2025-07-16T11:52:40.005Z",
        "status": "absent",
        "location": {
            "latitude": -8.1575,
            "longitude": 113.722778,
            "address": "Gedung Teknologi Informasi Politeknik Negeri Jember"
        },
        "user": {
            "id": "68778aca5a537a1e4fed4f69",
            "nis": "11111111",
            "name": "dimas Update",
            "kelas": "XII",
            "jurusan": "MIF B",
            "email": "dimas@gmail.com",
            "phone": "1234567890"
        },
        "created_at": "2025-07-16T11:46:09.676Z",
        "updated_at": "2025-07-16T11:52:40.005Z"
    },
    "timestamp": "2025-07-16 11:57:57"
}
Modified at 2025-07-16 11:59:16
Previous
Checkout
Next
History
Built with